SQLITE3SESSION_MEMORY_USED(3) | Library Functions Manual | SQLITE3SESSION_MEMORY_USED(3)

# NAME

`sqlite3session_memory_used` — query for the amount of heap memory used by a session object

# SYNOPSIS

`#include <sqlite3.h>`

sqlite3_int64
`sqlite3session_memory_used`(sqlite3_session *pSession);

# DESCRIPTION

This API returns the total amount of heap memory in bytes currently used by the session object passed as the only argument.

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 11427.

    SQLITE_API sqlite3_int64 sqlite3session_memory_used(sqlite3_session *pSession);

January 24, 2024 | NetBSD 11.0